import request from '@/utils/request'

export function queryAgvTaskInfo(params) {
  return request({
    url: 'api/agvTask/queryAgvTaskInfo',
    method: 'get',
    params
  })
}

export function add(data) {
  return request({
    url: 'api/agvTask',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/agvTask/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/agvTask',
    method: 'put',
    data
  })
}

export function missionStateCallback(data) {
  return request({
    url: '/interfaces/api/amr/missionStateCallback',
    method: 'post',
    data
  })
}

export function agvTaskCallback(data) {
  return request({
    url: '/api/agvTask/agvTaskCallback',
    method: 'post',
    data
  })
}

export default { add, edit, del,missionStateCallback,agvTaskCallback,queryAgvTaskInfo }
